#include <bits/stdc++.h>
#define int long long

using namespace std;

const int INF = 1e18;

void solve() {
    int n, m;
    cin >> n >> m;
    vector<int> x(m);
    for (auto& el : x)
        cin >> el;
    if (n >= m) {
        cout << x[0] * m << '\n';
        return;
    }
    if ((m - n) % 2)
        cout << (n - 1) * x[0] << '\n';
    else
        cout << n * x[0] << '\n';
    // vector<int> dp(n + 1, -INF);
    // dp[0] = 0;
    // for (int i = m - 1; i >= 0; --i) {
    //     vector<int> ndp(n + 1, -INF);
    //     for (int prv = 0; prv <= n; ++prv) {
    //         if (prv)
    //             ndp[prv - 1] = max(ndp[prv - 1], dp[prv] - x[i]);
    //         if (prv + 1 <= n)
    //             ndp[prv + 1] = max(ndp[prv + 1], dp[prv] + x[i]);
    //     }
    //     dp.swap(ndp);
    // }
    // cout << *max_element(dp.begin(), dp.end()) << '\n';
}

signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0);
    int tc;
    cin >> tc;
    while (tc--)
        solve();
}